# Get interface

`GET https://api.airtable.com/v0/meta/bases/{baseId}/interfaces/{pageBundleId}`

Returns general information about the interface. Does not include deleted collaborators and only includes [outstanding](https://airtable.com/developers/web/api/org-management-glossary.md#outstanding-invite) invites.

`pageBundleId` is the ID of the interface and can be found in the [`interfaces`](https://airtable.com/developers/web/api/get-base-collaborators.md#response-interfaces) object returned by the [get base collaborators](https://airtable.com/developers/web/api/get-base-collaborators.md) endpoint.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases:read`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-read)
- **User role:** Base read-only
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

- `pageBundleId: string`

## Query parameters

- `include: array<"collaborators" | "inviteLinks">` — optional

## Response format

- `id: string` — required

- `baseId: string` — required

  Base ID, a unique identifier for a base.

- `createdTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `name: string` — required

- `permissionLevel: "none" | "read" | "comment" | "edit" | "create" | "owner"` — required

- `groupCollaborators: object` — optional

  - `baseCollaborators: array<Group-Collaborator>` — required

  - `interfaceCollaborators: array<Group-Collaborator>` — required

  - `workspaceCollaborators: array<Group-Collaborator>` — required

- `individualCollaborators: object` — optional

  - `baseCollaborators: array<Individual-Collaborator>` — required

  - `interfaceCollaborators: array<Individual-Collaborator>` — required

  - `workspaceCollaborators: array<Individual-Collaborator>` — required

- `inviteLinks: array<Invite-link>` — optional
